diff --git a/tutorials/heatTransfer/buoyantSimpleFoam/buoyantCavity/Allrun b/tutorials/heatTransfer/buoyantSimpleFoam/buoyantCavity/Allrun
index 5ddbc447bf072960564cd94f43944839b0469e7e..ef1c137ca84632853e05979ec29d733a9bba24b4 100755
--- a/tutorials/heatTransfer/buoyantSimpleFoam/buoyantCavity/Allrun
+++ b/tutorials/heatTransfer/buoyantSimpleFoam/buoyantCavity/Allrun
@@ -11,6 +11,6 @@ runApplication blockMesh
 runApplication $application
 runApplication -s sample  postProcess -latestTime -func sample
 
-( cd validation && ./createGraphs )
+runApplication validation/createGraphs
 
 #------------------------------------------------------------------------------
diff --git a/tutorials/heatTransfer/buoyantSimpleFoam/buoyantCavity/validation/createGraphs b/tutorials/heatTransfer/buoyantSimpleFoam/buoyantCavity/validation/createGraphs
index 5566e9f677dab912e93d27a40c2f84d74942fd49..3325b25dd0fe97be41d2efc40fd6bce14ef21cdb 100755
--- a/tutorials/heatTransfer/buoyantSimpleFoam/buoyantCavity/validation/createGraphs
+++ b/tutorials/heatTransfer/buoyantSimpleFoam/buoyantCavity/validation/createGraphs
@@ -31,6 +31,11 @@
 #
 #------------------------------------------------------------------------------
 
+cd ${0%/*} || exit 1    # Run from this directory
+
+# Stop on first error
+set -e
+
 createEpsT()
 {
     index=$1
@@ -78,11 +83,12 @@ createEpsU()
 EOF
 }
 
+echo "createGraphs:"
 
 # test if gnuplot exists on the system
 if ! which gnuplot > /dev/null 2>&1
 then
-    echo "gnuplot not found - skipping graph creation" >&2
+    echo "FOAM FATAL ERROR: gnuplot not found - skipping graph creation" >&2
     exit 1
 fi
 
@@ -90,8 +96,8 @@ SETSDIR="../postProcessing/sample"
 
 if [ ! -d $SETSDIR ]
 then
-    echo "createGraphs: results sets not available in directory $SETSDIR"
-    exit 0
+    echo "FOAM FATAL ERROR: result sets not available in directory $SETSDIR" >&2
+    exit 1
 fi
 
 # paths to data
@@ -104,8 +110,7 @@ EXPTDATAROOT=./exptData
 TSets="1 3 4 5 6 7 9"
 for i in $TSets
 do
-    echo "    processing temperature profile at y/yMax of 0.$i" \
-        > log.createGraphs 2>&1
+    echo "    processing temperature profile at y/yMax of 0.$i"
 
     OF="$OFDATAROOT/y0.${i}_T.xy"
     EXPT="$EXPTDATAROOT/mt_z0_${i}0_lo.dat"
@@ -118,8 +123,7 @@ done
 USets="1 3 4 5 6 7 9"
 for i in $USets
 do
-    echo "    processing velocity profile at y/yMax of 0.$i" \
-        > log.createGraphs 2>&1
+    echo "    processing velocity profile at y/yMax of 0.$i"
 
     OF="$OFDATAROOT/y0.${i}_U.xy"
     EXPT="$EXPTDATAROOT/mv_z0_${i}0_lo.dat"
@@ -127,6 +131,6 @@ do
     createEpsU $i $OF $EXPT
 done
 
-echo Done
+echo "End"
 
 #------------------------------------------------------------------------------
diff --git a/tutorials/lagrangian/reactingParcelFilmFoam/hotBoxes/patchifyObstacles b/tutorials/lagrangian/reactingParcelFilmFoam/hotBoxes/patchifyObstacles
index 1c2598eccca9215409776d96626f9407fc0f6cda..b57312af5eadf3e7649d8687bc864e04e51c9139 100755
--- a/tutorials/lagrangian/reactingParcelFilmFoam/hotBoxes/patchifyObstacles
+++ b/tutorials/lagrangian/reactingParcelFilmFoam/hotBoxes/patchifyObstacles
@@ -6,8 +6,12 @@
 #   \\  /    A nd           | Web:      www.OpenFOAM.org                      #
 #    \\/     M anipulation  |                                                 #
 #-----------------------------------------------------------------------------#
+
 cd ${0%/*} || exit 1    # Run from this directory
 
+# Stop on first error
+set -e
+
 x0=0.4
 y0=0.1
 z0=0.1
@@ -157,4 +161,6 @@ echo "faceZoneSet floorFaces new setsToFaceZone FloorFaces floorCells" >> $tmpSe
 
 setSet -batch $tmpSetSet > log.setSet.patchifyObstacles 2>&1
 
+echo "End"
+
 # *************************************************************************